package jp.sf.amateras.mirage.dialect;

import java.util.List;

import jp.sf.amateras.mirage.type.OracleResultSetValueType;
import jp.sf.amateras.mirage.type.ValueType;

public class OracleDialect extends StandardDialect {

	private OracleResultSetValueType valueType = new OracleResultSetValueType();

    @Override
    public String getName() {
        return "oracle";
    }

    @Override
    public boolean needsParameterForResultSet() {
        return true;
    }

    @Override
	protected ValueType getValueTypeInternal(Class<?> clazz, List<ValueType> valueTypes){
    	if (List.class.isAssignableFrom(clazz)) {
            return valueType;
        }
		return null;
	}

}
